net.minecraft.entity

## Enum Entity.EnumEntitySize

- java.lang.Object
- - java.lang.Enum<Entity.EnumEntitySize>
  - - net.minecraft.entity.Entity.EnumEntitySize

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Entity.EnumEntitySize>
  Enclosing class:
    Entity

      public static enum Entity.EnumEntitySize
      extends java.lang.Enum<Entity.EnumEntitySize>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SIZE_1`
    `SIZE_2`
    `SIZE_3`
    `SIZE_4`
    `SIZE_5`
    `SIZE_6`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `multiplyBy32AndRound(double par1)`
    `static Entity.EnumEntitySize` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Entity.EnumEntitySize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIZE_1

          public static final Entity.EnumEntitySize SIZE_1

    - #### SIZE_2

          public static final Entity.EnumEntitySize SIZE_2

    - #### SIZE_3

          public static final Entity.EnumEntitySize SIZE_3

    - #### SIZE_4

          public static final Entity.EnumEntitySize SIZE_4

    - #### SIZE_5

          public static final Entity.EnumEntitySize SIZE_5

    - #### SIZE_6

          public static final Entity.EnumEntitySize SIZE_6

  - ### Method Detail

    - #### values

          public static Entity.EnumEntitySize[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Entity.EnumEntitySize c : Entity.EnumEntitySize.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Entity.EnumEntitySize valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### multiplyBy32AndRound

          public int multiplyBy32AndRound(double par1)